package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_SLAB_SCRAP所对应的实体类（生成工具：代码生成器2.4）
 * @author DM22222   date 2015-12-18
 */
public class MilSlabScrapEntity {
	/**
     * 工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-连轧 7-分切前 8-分切后 9矫直 10-探伤 11-矫直)
     */
    private String processNoCode;
    public String getProcessNoCode() {
		return processNoCode;
	}

	public void setProcessNoCode(String processNoCode) {
		this.processNoCode = processNoCode;
	}

	/**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 管坯序号
     */
    private String seq;
    /**
     * 工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-连轧 7-分切前 8-分切后 9矫直 10-探伤 11-矫直)
     */
    private String processNo;
    /**
     * 剔除原因
     */
    private String sracpReason;
    /**
     * 材料号
     */
    private String matNo;
    /**
     * 组炉标识
     */
    private String groupFlag;
    /**
     * 组炉后炉号
     */
    private String newHeatNo;
    /**
     * 组炉后材料号
     */
    private String newMatNo;
    /**
     * 处理结果
     */
    private String handleResult;
    /**
     * 处理标识
     */
    private String flag;
    /**
     * 备注
     */
    private String remark;
    /**
     * 剔除人
     */
    private String scrapUser;
    /**
     * 剔除时间
     */
    private String time;
    /**
     * 剔除班次
     */
    private String scrapShift;
    /**
     * 剔除班组
     */
    private String scrapGroup;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作时间
     */
    private String colTime;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;
    
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 子管长度
     */
    private String pipeLength = "";
    /**
     * 返库长度
     */
    private String actLen = "";
    /**
     * 组炉后批号
     */
    private String newLotNo = "";

    public MilSlabScrapEntity(){
    	proPlanId = "";
		gxPlanNo = "";
        resultNo = "";
        judgeStoveNo = "";
        seq = "";
        processNo = "";
        sracpReason = "";
        matNo = "";
        groupFlag = "";
        newHeatNo = "";
        newMatNo = "";
        handleResult = "";
        flag = "";
        remark = "";
        scrapUser = "";
        time = "";
        scrapShift = "";
        scrapGroup = "";
        colUser = "";
        colTime = "";
        colShift = "";
        colGroup = "";
        plineCode = "";
        lotNo = "";
        actLen = "";
        pipeLength = "";
        newLotNo = "";
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 管坯序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 管坯序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-连轧 7-分切前 8-分切后 9矫直 10-探伤 11-矫直)
     * @return value
     */
    public String getProcessNo() {
        return processNo;
    }

    /**
     * 工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-连轧 7-分切前 8-分切后 9矫直 10-探伤 11-矫直)
     * @param processNo value
     */
    public void setProcessNo(String processNo) {
        this.processNo = processNo;
    }

    /**
     * 剔除原因
     * @return value
     */
    public String getSracpReason() {
        return sracpReason;
    }

    /**
     * 剔除原因
     * @param sracpReason value
     */
    public void setSracpReason(String sracpReason) {
        this.sracpReason = sracpReason;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 组炉标识
     * @return value
     */
    public String getGroupFlag() {
        return groupFlag;
    }

    /**
     * 组炉标识
     * @param groupFlag value
     */
    public void setGroupFlag(String groupFlag) {
        this.groupFlag = groupFlag;
    }

    /**
     * 组炉后炉号
     * @return value
     */
    public String getNewHeatNo() {
        return newHeatNo;
    }

    /**
     * 组炉后炉号
     * @param newHeatNo value
     */
    public void setNewHeatNo(String newHeatNo) {
        this.newHeatNo = newHeatNo;
    }

    /**
     * 组炉后材料号
     * @return value
     */
    public String getNewMatNo() {
        return newMatNo;
    }

    /**
     * 组炉后材料号
     * @param newMatNo value
     */
    public void setNewMatNo(String newMatNo) {
        this.newMatNo = newMatNo;
    }

    /**
     * 处理结果
     * @return value
     */
    public String getHandleResult() {
        return handleResult;
    }

    /**
     * 处理结果
     * @param handleResult value
     */
    public void setHandleResult(String handleResult) {
        this.handleResult = handleResult;
    }

    /**
     * 处理标识
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 处理标识
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 剔除人
     * @return value
     */
    public String getScrapUser() {
        return scrapUser;
    }

    /**
     * 剔除人
     * @param scrapUser value
     */
    public void setScrapUser(String scrapUser) {
        this.scrapUser = scrapUser;
    }

    /**
     * 剔除时间
     * @return value
     */
    public String getTime() {
        return time;
    }

    /**
     * 剔除时间
     * @param time value
     */
    public void setTime(String time) {
        this.time = time;
    }

    /**
     * 剔除班次
     * @return value
     */
    public String getScrapShift() {
        return scrapShift;
    }

    /**
     * 剔除班次
     * @param scrapShift value
     */
    public void setScrapShift(String scrapShift) {
        this.scrapShift = scrapShift;
    }

    /**
     * 剔除班组
     * @return value
     */
    public String getScrapGroup() {
        return scrapGroup;
    }

    /**
     * 剔除班组
     * @param scrapGroup value
     */
    public void setScrapGroup(String scrapGroup) {
        this.scrapGroup = scrapGroup;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 操作时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	public String getPlineCode() {
		return plineCode;
	}

	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	public String getLotNo() {
		return lotNo;
	}

	public void setLotNo(String lotNo) {
		this.lotNo = lotNo;
	}

	public String getPipeLength() {
		return pipeLength;
	}

	public void setPipeLength(String pipeLength) {
		this.pipeLength = pipeLength;
	}

	public String getNewLotNo() {
		return newLotNo;
	}

	public void setNewLotNo(String newLotNo) {
		this.newLotNo = newLotNo;
	}

	public String getActLen() {
		return actLen;
	}

	public void setActLen(String actLen) {
		this.actLen = actLen;
	}
    
}